import React, {useState} from 'react'
import IconButton from '@mui/material/IconButton';
import MenuIcon from '@mui/icons-material/Menu';
import Menu from '@mui/material/Menu';
import MenuItem from '@mui/material/MenuItem';

import {actionAuthLogout} from "../reducers"
import {connect}  from 'react-redux';

import {CProfileModal} from '../components'


const LogoutBtn = ({onLogout}) => (
   <MenuItem onClick={onLogout}>
      Выйти
   </MenuItem>
)
const CLogoutBtn = connect(null, {onLogout: actionAuthLogout})(LogoutBtn)

export const MainMenu = () => {
   const [anchorEl, setAnchorEl] = useState(null)
   const open = Boolean(anchorEl)

   const handleClick = (event) => {
     setAnchorEl(event.currentTarget)
   }

   const handleClose = () => {
     setAnchorEl(null)
   }

   return (
      <>
         <IconButton edge="start" color="inherit" aria-label="menu" sx={{ mr: 2 }}
            id="basic-button"
            aria-controls={open ? 'basic-menu' : undefined}
            aria-haspopup="true"
            aria-expanded={open ? 'true' : undefined}
            onClick={handleClick}
         >
            <MenuIcon />
         </IconButton>
   
         <Menu
         id="basic-menu"
         anchorEl={anchorEl}
         open={open}
         onClose={handleClose}
         MenuListProps={{
         'aria-labelledby': 'basic-button',
         }}
         >
            <MenuItem onClick={handleClose}>
               Контакты
            </MenuItem>

            <CProfileModal onModalOpen={handleClose}/>

            <CLogoutBtn />
                                    
         </Menu>
      </>
   ) 
}


