import React from 'react';
import Avatar from '@mui/material/Avatar';

import {backURL}  from '../helpers'
import {connect}  from 'react-redux'


export const UserAvatar = ({ profile }) => {
  //  console.log(profile)
   
   function stringToColor(string) {
      if (!string) {
        return '#' + Math.floor(Math.random()*16777215).toString(16);
      }
      let hash = 0;
    
      /* eslint-disable no-bitwise */
      for (let i = 0; i < string?.length; i += 1) {
        hash = string.charCodeAt(i) + ((hash << 5) - hash);
      }
    
      let color = '#';
    
      for (let i = 0; i < 3; i += 1) {
        const value = (hash >> (i * 8)) & 0xff;
        color += `00${value.toString(16)}`.substr(-2);
      }
      /* eslint-enable no-bitwise */
    
      return color;
    }

    function stringSplit(str) {
      if (!str) {
        return 
      }
      let titleStr = ''
      for (const word of str.split(' ')) {
        if (word) {
          titleStr += word[0].toUpperCase()
        }  
      }
      return titleStr
    }
    
    function stringAvatar(name) { 
      return {
        sx: {
          bgcolor: stringToColor(name),
        },
        children: stringSplit(name)
      };
    }

   return (
      <>
      {
         profile.avatar?.url ?
         <Avatar alt={profile.nick || profile.login } src={backURL + profile.avatar?.url} /> :
         <Avatar  {...stringAvatar(profile.nick || profile.login)} /> 
      }        
      </>
   ) 
}
export const CUserAvatar = connect( state => ({profile: state.promise.myProfile?.payload || {}}))(UserAvatar)

